Skip to content

Refresh a sandbox Vault in the currently authenticated Vault from an existing snapshot.

POST/api/{version}/objects/sandbox/{vault_id}/actions/refresh
NameDescription
Acceptapplication/json (default) or application/xml
Content-Typeapplication/x-www-form-urlencoded
NameDescription
vault_idThe Vault ID of the sandbox to be refreshed.
NameDescription
source_snapshot
optional
Provide the api_name of the snapshot to refresh the sandbox from. You can obtain the api_name using the Retrieve Sandbox Snapshots request.
curl -X POST -H "Authorization: {SESSION_ID}" \ -H "Content-Type: application/x-www-form-urlencoded" \ -d "source_snapshot=Sandbox1 Snapshot" \ https://myvault.veevavault.com/api/v24.2/objects/sandbox/1001055/actions/refresh
{ "responseStatus": "SUCCESS", "job_id": 165954, "url": "/api/v24.2/services/jobs/165954" }

On SUCCESS, the response includes the following information: